#ifndef CMWMANUALLASERKERF_H
#define CMWMANUALLASERKERF_H

#include "export_laser_cali_driver.h"
#include "cmwidget.h"
namespace Ui {class CMWManualLaserKerf;};

class LASER_CALI_DRIVER_EXPORT CMWManualLaserKerf : public CMWidget
{
	Q_OBJECT

public:
	CMWManualLaserKerf(QWidget *parent = 0);
	~CMWManualLaserKerf();


	virtual void MInit();


	virtual void MTimeFresh();


	virtual void MFresh();


	virtual void MApply();

	void SetProcess(int iProcessID);
private slots:
	void on_pushButton_CheckPos_clicked();

	void on_pushButton_ManualSet_clicked();

	void on_btnMeasureThick_clicked();
	void on_btnChangeLine_clicked();
	void on_btnReplaceMarkPanel_clicked();
	void on_btnKerfCut_clicked();

	void on_btnTestCur_clicked();

	void on_pushButton_N5_clicked();

	void on_pushButton_N1_clicked();


	void on_pushButton_P1_clicked();

	void on_pushButton_P5_clicked();


	void on_pushButton_Test_clicked();

	void on_pushButton_N5_binary_clicked();

	void on_pushButton_N1_binary_clicked();

	void on_pushButton_Test_binary_clicked();

	void on_pushButton_P1_binary_clicked();

	void on_pushButton_P5_binary_clicked();
private:
	int32_t m_iCurSideID;
	int32_t m_iCurCamID;
	int32_t m_iCurLayer;
	QString strCurFile;
	int m_iProcessId;
	int m_iLaserPath;
	
private:
	Ui::CMWManualLaserKerf *ui;
	void TestKerf(int offset);
	void TestBinary(int offset);
};

#endif // CMWMANUALLASERKERF_H
